package test;

import javax.swing.JButton;

import ca.unbc.cpsc101.gui.DoublingCube;
import ca.unbc.cpsc101.gui.Board;

public class TestDoublingCube extends javax.swing.JPanel
{
   private DoublingCube slot ;
   private javax.swing.JButton blackDoubles ;
   private javax.swing.JButton whiteDoubles ;
   private javax.swing.JButton resetCube ;

   private void setupComponents ()
      {
      slot = new DoublingCube() ;

      blackDoubles = new javax.swing.JButton("Black Doubles") ;
      whiteDoubles = new javax.swing.JButton("White Doubles") ;
      resetCube = new javax.swing.JButton("reset Cube") ;
      }

   public ca.unbc.cpsc101.gui.DoublingCube getCube()
      {
      return slot;
      }

   public javax.swing.JButton getBlackDoublesButton()
      {
      return blackDoubles;
      }

   public javax.swing.JButton getWhiteDoublesButton()
      {
      return whiteDoubles;
      }

   public javax.swing.JButton getResetButton()
      {
      return resetCube;
      }

   private void wireComponents()
      {
      blackDoubles.addActionListener((ae)->slot.blackDoubles());
      whiteDoubles.addActionListener((ae) -> slot.whiteDoubles());
      resetCube.addActionListener((ae)->slot.reset());
      }

   public TestDoublingCube()
      {
      super() ;
      javax.swing.JPanel dCubeButtons = new javax.swing.JPanel();
      this.setLayout(new javax.swing.BoxLayout(this, javax.swing.BoxLayout.X_AXIS));
      dCubeButtons.setLayout(new javax.swing.BoxLayout(dCubeButtons, javax.swing.BoxLayout.Y_AXIS));
      setupComponents();
      wireComponents();
      this.add(slot);
      dCubeButtons.add(resetCube);
      dCubeButtons.add(whiteDoubles);
      dCubeButtons.add(blackDoubles);
      this.add(dCubeButtons) ;
      }


}
